/*
	this is a fixed up version of the decus c version of strncpy
that will place a NULL at the end of out regardless of the length of
in and count.
*/

strncp2(out,in,count)
char *out,*in;
int count;

{
	if(count)
		while ((count--) && (*in))
			*out++=*in++;
	*out='\0';
}
